<template>
  <div style="margin: 10px;">
    <v-row>
      <v-col :cols="12">
          <component
          :is="card1Loader"
          :parentPrgmId="this.$route.query.prgmId"
          :widgetPrgmId="false"
          :widgetPopFg="false"
          :widgetReflashMm="15*60000"/>
      </v-col>
    </v-row>
  </div>
</template>
<script>
import { mapState, mapMutations, mapActions } from "vuex";
import Utility from "~/plugins/utility";
import Grid from "~/components/common/Grid";
import Chart from "~/components/common/Chart";

export default {
  layout: "pop",
  components: {
    Utility,
    Grid,
    Chart
  },
  data() {
    return {
      card0: this.$router.currentRoute.query.widgetId
    };
  },
  computed: {
    ...mapState({
      searchParam(state){
        return state.pageData[this.$route.query.prgmId];
      },
      isDarkMode: "isDarkMode",
    }),
    card1Loader(){
      
      const tab0 = this.card0 == null ? 'BlankWidget' : this.card0
      return () => import(`@/components/widget/${tab0}`)
    }
  },
  watch: {
  },
  
  methods: {
    ...mapMutations({
      
    }),
     ...mapActions({

    }),
  }
};
</script>
